#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long t;
    cin>>t;
    vector <string> a;
    for(long long i=0;i<t;i++)
    {
        bool p=true;
        long long BrojUcenika,BrojKrembananica,BrojGrupa;
        cin>>BrojUcenika>>BrojKrembananica>>BrojGrupa;
        if(BrojKrembananica<BrojUcenika) p=false;
        else
        {
            long long cnt=1;
            while(BrojUcenika>BrojGrupa&&BrojKrembananica>=0)
            {
                BrojKrembananica -= cnt*BrojGrupa;
                BrojUcenika -= BrojGrupa;
                cnt++;
            }
            if(BrojUcenika!=0) BrojKrembananica -= BrojUcenika*cnt;
            if(BrojKrembananica<0) p=false;
        }
        if(p) a.push_back("Tak");
        else a.push_back("Nie");
    }
    for (int i=0;i<t;i++) cout<<a[i]<<endl;
}